"""
ASGI config for Rollcall_applet project.

It exposes the ASGI callable as a module-level variable named ``application``.

For more information on this file, see
https://docs.djangoproject.com/en/3.2/howto/deployment/asgi/
"""

# import os
#
# from django.core.asgi import get_asgi_application
# from channels.routing import ProtocolTypeRouter, URLRouter
# from channels.auth import AuthMiddlewareStack
# from . import routings
# from api.consumers import RollCallConsumer
# os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'Rollcall_applet.settings')
#
#
# # application = get_asgi_application()
#
# application = ProtocolTypeRouter(
#     {
#         "http": get_asgi_application(),  # http走Django默认的asgi
#         "websocket": URLRouter(routings.websocket_urlpatterns),  # websocket走channels
#     }
# )


import os
from django.core.asgi import get_asgi_application
from channels.routing import ProtocolTypeRouter, URLRouter
from channels.auth import AuthMiddlewareStack
from api.routing import websocket_urlpatterns

os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'myproject.settings')

application = ProtocolTypeRouter({
    "http": get_asgi_application(),
    "websocket": AuthMiddlewareStack(
        URLRouter(
            websocket_urlpatterns
        )
    ),
})
